Chuyển đến nội dung
Diễn đàn CADViet

DuongTrungHuy

Thành viên
  • Số lượng nội dung

    319
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    18

Mọi thứ được đăng bởi DuongTrungHuy

  1. DuongTrungHuy

    CHỎM CẦU

    Chào Bạn. Như vậy là Bạn có 1 Elipsoid hay 1 vật thể Elipse tròn xoay. Các loại này công thức tính thể tích V có nhiều trên NET bạn tìm thì tốt hơn. Còn nếu nó bị cắt bởi 1 mặt phẳng thì hơi rầy rà. Bạn có thể vẽ cad nó ra thì tính được đơn giản. Chào nhé!
  2. Chào Bạn. À trong chương trình vừa rồi mình chỉ viết để chamffer cho 2 Poly đơn thôi chứ đường gấp khúc thì phải đi tiếp nữa Bạn à. Nó sẽ rất dài dòng mà tình huống của Bạn có vẻ hơi cá biệt sợ ít gặp trong thực tế, nên tính phổ biến của chương trình sẽ ko cao ít được người dùng. Hì, Chào nhé!
  3. Bạn thử xem sao! Chào nhé. Cad_Viet4.LSP
  4. Chào! Hì vậy nghĩa là bạn muốn 1 lệnh như fillet nhưng đừng đính lại với nhau. Vậy mình sẽ tiếp tục theo hướng đó. Nó mất công thêm 1 chút.
  5. Chào Bạn! Bạn có định dùng cái Lisp này ko. Thực tình mình viết vì thấy vấn đề cũng hay hay. Mình viết để vỡ vấn đề ra đấy thôi, còn sử dụng thì thêm thắt vài thứ như Bạn nói. Chỗ mà Bạn "thiến" vì chưa đủ điều kiện ban đầu nên mình chưa dám xoá vì ko biết lấy đoạn nào, hơn nữa thấy người yêu cầu ko mặn mà lắm nên thôi :) Nếu bạn cũng cần cái lisp này trong công việc thì mình sẽ đi tiếp. Chào nhé.
  6. DuongTrungHuy

    Lisp

    Chào! Mình có chỉnh sửa 1 chút. Bạn thử xem sao nhé. (defun C:ae(/ N SS1 NUM EN CO) (if (not "acadapp.exp") (xload "acadapp.exp")) (setq N 0 co (getvar 'cecolor) SS1 (ssadd)) (command "layer" "s" DiTi "") (setq PT1 (getpoint "\n Chon diem trong vung can tinh dien tich:") inra pt1) (command "BPOLY" PT1 "") (setq SS1 (ssadd (entlast) SS1) NUM (sslength SS1)) (command ".area" "a" "e") (while (/= NUM N) (setq EN (ssname SS1 N)) (command EN)(setq N (1+ N))) (command "" "") (command "redraw") (setq SS nil) (prin1) (setq val (* 1 (getvar "area"))) (princ "Gia tri la : ") (princ val) (prin1) (setvar 'cecolor "1") ;(command "TEXT" (getpoint) "" "" (rtos val 2 2)) (command "TEXT" pt1 0.2 (rtos val 2 2)) (setvar 'cecolor co) (princ) )
  7. Hì :) Thì cũng coi như dịp để trau dồi kỹ năng lập trình vậy mà Bạn. Với lại hình như bạn ấy đặt ra bài toán với Polyline nên nó sẽ tự nối lại. Chào nhé!
  8. Chào Bạn! Cái mình đã đưa là phần cốt lõi của bài toán. Để trở thành chuyên nghiệp, sản phẩm thị trường hơn cần làm như Bạn nói. Thông thường nhưng chuyện đó ko phức tạp lắm, Mình sửa theo y/c của Bạn -Chọn Poly -Chỉ lấy 2 obj -Có Undo. Cám ơn đã ý kiến (Mình định để người yêu cầu xem xét rồi chỉnh sửa luôn). Bạn tham khảo nhé! Cad_Viet4.LSP
  9. Chào đầu năm nhé! Mình định viết kiểu hàm chứ không phải lệnh đó Bạn kiểu gọi là (cchh). Cám ơn! Chào nhé!
  10. Chào Bạn. Hì có sự động viên mình viết. Các Bạn rãnh góp ý nhé! (defun cChh(/ dse1 dse2 ss1 dga dgb d1a d1b d2a d2b ds1ci ds2cu e1 e2) (setvar "osmode" 0)(Setvar "orthomode" 0) (Princ "\nBao chon 2 Poly: ") (setq ss1 (ssget) e1 (ssname ss1 0) e2 (ssname ss1 1) ds1 (acet-geom-vertex-list e1) ds2 (acet-geom-vertex-list e2) d1a (car ds1) d1b (cadr ds1) d2a (car ds2) d2b (cadr ds2) dga (Inters d1a d1b d2a d2b) dgb (Inters d1a d1b d2a d2b F) ) ;(print (list d1a d1b d2a d2b dga dgb)) (If dga (progn (command "break" e1 dga dga) (command "break" e2 dga dga) ) (progn (setq l1 (distance d1a d1b) l2 (distance d2a d2b) dse1 (entget e1) dse2 (entget e2) d1c d1b d2c d2b dsmoi (list 10 (car dgb) (cadr dgb)) ) (If (< (distance dgb d1a) (distance dgb d1b))(setq d1c d1a)) (If (< (distance dgb d2a) (distance dgb d2b))(setq d2c d2a)) (If (< (+ (distance dgb d1a) (distance dgb d1b)) l1) (command "break" e1 dgb dgb) (setq ds1cu (list 10 (car d1c) (cadr d1c)) dse1 (subst dsmoi ds1cu dse1) oo (entmod dse1)) ) (If (< (+ (distance dgb d2a) (distance dgb d2b)) l2) (command "break" e2 dgb dgb) (setq ds2cu (list 10 (car d2c) (cadr d2c)) dse2 (subst dsmoi ds2cu dse2) oo (entmod dse2)) ) ) ) )
  11. DuongTrungHuy

    Lisp code bị lỗi

    Hi Bạn! Mình thấy cái LSP vẽ trắc dọc của bạn khủng khiếp quá. Bạn đã bao giờ vẽ được 1 cái trắc dọc trên bản vẽ DWG chưa. Nếu có đưa mình xem thử có giúp được ko nhé! Thân chào! PS: Đây là cái cắt dọc mình hay vẽ
  12. Chào Bạn! Yêu cầu của Bạn là vậy à.
  13. Ý Bạn là vậy à
  14. Chào nhé! Bạn đưa cái file có 2 Poly nói trên cho mình xem thử.
  15. DuongTrungHuy

    Nhờ cao thủ vào giúp đở ạ

    Thân chào! Mình đã trả lời hôm đầu rồi đó Bạn Chúc tết an lành nhé!
  16. DuongTrungHuy

    Nhờ cao thủ vào giúp đở ạ

    Chào Bạn! Tỉnh Vĩnh Long có kinh tuyến trục 105độ30ph nên theo toạ độ bản Cad chữ "Ấp Hoà Thuận" có toạ độ X=536478.3904 Y=1121686.5419 sẽ tương ứng với N10.14398 E105.83289 bấm ra đúng chữ đó ở Vĩnh Long (điểm đỏ) Vì vậy khẳng định nó ở VN2000 đó Bạn. Thân chào!
  17. DuongTrungHuy

    Nhờ viết lisp bốc khối lượng tường xây tô.

    Thân chào! Bạn mô rồi, cho hỏi cao độ tường xây ở đâu vậy Bạn Chào.
  18. DuongTrungHuy

    Lisp Đánh STT cọc và Tọa độ cọc theo VN2000

    Chào Bạn! À như vậy mình có xem lại những phần mềm mình đã viết trong đó có cái này không biết đúng ý bạn không? Quét qua các vòng tròn đã có, bấm chọn điểm bắt đầu. Kết quả sẽ vẽ được đường tuyến kênh hoặc đường v.v... Kế tiếp theo không biết bạn yêu cầu ghi giá trị cao độ và số thứ tự, thì riêng về cao độ lấy ở đâu bạn, hau cũng lấy ở tâm vòng tròn (là giá trị Z) Bạn xem thử nhé! Thân chào!
  19. DuongTrungHuy

    Giúp em làm file vẽ cao độ.

    Chào Bạn. Mình làm về tư vấn thủy lợi nên nói chung có viết rất nhiều phần mềm để giải quyết việc này. Nếu chỉ cần 1 bài toán đơn độc, không cần dùng để liên kết với các chương trình khác, thì mình sẽ viết giúp, nhưng nếu để sau này còn ghép nối với các phần mềm khác như thiết kế kênh, tính khối lượng v.v... thì bài toán quá lớn. Nếu lúc đó bạn cần hãy mail cho mình nhé. Thân chào. PS. Sao mình đọc bản vẽ thấy bạn đưa nhiều thứ quá không biết cái cần vẽ là cái nào, bạn xóa hết và chỉ để lại cọc và cao độ thôi.
  20. DuongTrungHuy

    Lisp Đánh STT cọc và Tọa độ cọc theo VN2000

    Xin chào bạn!. Mình rất sẵn lòng. Trước hết bạn cho mình xem bản vẽ của bạn nhé. Mình sẽ đọc lại yêu cầu, nếu ko hiểu sẽ hỏi nhé. Thân chào.
  21. DuongTrungHuy

    Lisp Đánh STT cọc và Tọa độ cọc theo VN2000

    Chào Bạn! Mình đọc bài toán mà bạn đưa, nhưng xem ra lũng cũng, phức tạp. Với vấn đề này mà bạn tự viết thì hơi khó để viết nhất là người mới bắt đầu như bạn. Bạn nên nhờ người trên này để viết cho, sau khi giải thích rõ ràng yêu cầu đó bạn Góp ý mong bạn đừng giận nhé! Trân trọng.
  22. DuongTrungHuy

    Bản quyền VLX

    Chào các Bạn, Mình có vấn đề này xin hỏi các Bạn Mình có 1 phần mềm LSP và dich ra VLX Mình muốn chương trình VLX đó chỉ chạy được trên máy mà mình đã định. Ví dụ nếu chạy trên máy 1 Mình phải viết thêm trong LSP 1 đoạn chương trình con để sao cho khi dịch ra VLX thì chương trình VLX đó sẽ chạy được trên máy 1. Như vậy nếu có 1 ai đó copy chương trình đó qua máy 2 thì sẽ không chạy được. Muốn chạy được trên máy 2 thì cũng phải sửa lại trên LSP rồi dịch ra VLX. Chắc các Bạn cũng hiểu khi cài đặt chỉ cài file VLX. Mong các Bạn cho ý kiến và giải pháp!
  23. DuongTrungHuy

    set và setq

    Chào các bạn Nhờ các bạn đưa các ví dụ sử dụng lệnh set, để phân biệt với setq Thân chào!
  24. DuongTrungHuy

    Xuất tọa độ điểm và góc

    Chào bạn Mình đi ctác xa. Hnào về nhé
  25. DuongTrungHuy

    Bản quyền VLX

    À Lúc này bạn tại ra 1 danh sách. Trong danh sách đó bạn đưa mã đó vào. Sau đó bạn tạo 1 lệnh nếu mã máy của khách nằm trong danh sách thì chương trình tiếp tục. Nếu không thì quit. Thân chào
×